Bug 646540 - Upon resume (from suspend) screen is blank on Dell E6410 with NVIDIA graphics (NVS 3100M)
Summary: Upon resume (from suspend) screen is blank on Dell E6410 with NVIDIA graphics...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-25 16:09 UTC by Matthew Truch
Modified: 2012-08-16 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:39:48 UTC
Type: ---


Attachments (Terms of Use)
Output of dmesg after the computer has resumed. (73.44 KB, text/plain)
2010-11-02 04:55 UTC, Matthew Truch
no flags Details
Output of dmesg after the computer has resumed with log_buf_len=1M drm.debug=14 nouveau.reg_debug=0x0200 set. (833.94 KB, text/plain)
2010-11-02 23:37 UTC, Matthew Truch
no flags Details

Description Matthew Truch 2010-10-25 16:09:13 UTC
[Apologies if this is not a nouveau issue but I didn't know where else to file this bug.]

Description of problem:
Suspend seems to work; resume seems to work except the screen remains blank and no series of keystrokes seem to bring the screen back to life.  

Version-Release number of selected component (if applicable):
F14 branched.  

How reproducible:
Every time.

Steps to Reproduce:
1. Suspend computer (with either menu item or by pressing Fn-F1 (suspend) key).
2. Resume computer (by opening closed lid or pressing power key).
  
Actual results:
Computer seems active (power lights come up, hard drive spins up, seems to respond to keystrokes), but screen is blank and stays blank until computer is rebooted.  

Expected results:
Screen also comes up and computer is fully usable.

Comment 1 Ben Skeggs 2010-11-02 02:43:26 UTC
Can you please post your dmesg output from after resume.

Comment 2 Matthew Truch 2010-11-02 04:55:58 UTC
Created attachment 457055 [details]
Output of dmesg after the computer has resumed.

The output of dmesg after resume as requested.

Comment 3 Ben Skeggs 2010-11-02 22:33:56 UTC
Thanks for that.  Seems we can't properly talk to the eDP panel after resume for some reason.

First thing, are you able to boot with "log_buf_len=1M drm.debug=14 nouveau.reg_debug=0x0200" for me and get another dmesg log after resume.  Hopefully that'll hint at where to look next!

Comment 4 Matthew Truch 2010-11-02 23:37:07 UTC
Created attachment 457312 [details]
Output of dmesg after the computer has resumed with log_buf_len=1M drm.debug=14 nouveau.reg_debug=0x0200 set.

Output of dmesg after resume as requested.  Also, I just found out that the screen also stays blank when the computer just puts the screen to sleep (for power saving reasons) without the resume.  At least, that's what I think happened.

Comment 5 Nate P. 2010-11-22 00:43:38 UTC
Saw this problem when I was doing research to get an E-series laptop.  Do you have an SD card plugged into your laptop?

According to this thread on Ubuntu forums: http://ubuntuforums.org/archive/index.php/t-1504459.html
it is a kernel problem where the kernel tries and fails to unmount the SD card upon suspend.

There is also more info of another possible cause of this bug here: https://bugs.freedesktop.org/show_bug.cgi?id=28739

Comment 6 Matthew Truch 2010-11-22 01:58:52 UTC
Although this laptop does have an SD card reader, I don't have a card plugged in (and have never done so).  

The other bug is marked as fixed (in kernel 2.6.35?) and F14 has a newer kernel.  Perhaps a regression?  Or a different problem?

Comment 7 Fedora End Of Life 2012-08-16 17:39:51 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.